## jimtcl 0.72

=== tests/Makefile ===
jimsh ?= ../jimsh

test:
	@for i in *.test; do LD_LIBRARY_PATH=..:$(LD_LIBRARY_PATH) $(jimsh) $$i; done

clean:
	rm -f gorp.file2 cat gorp.file sleep exit wc sh echo test1

=== debian/changelog ===
jimtcl (0.72-1) unstable; urgency=low

  * Initial release of jimtcl to Debian (Closes: #645898).
 
  * Start from upstream's packaging, with some refreshing:
    - Bump debhelper compat to 9, for automated buildflags and multiarch.
      - Bump Build-Depends version.
      - Add source.lintian-overrides.
    - Bump Standards-Version to 3.9.2.
    - Add Build-Depends on dpkg-dev 1.16.1 to use the makefile snippets.
    - Push packaging to Debian's Alioth's collab-maint, update VCS-* fields
      accordingly.
    - Rename shell package to jimsh.
    - Add library and -dev packages.
    - Install the library to multiarch paths.
    - Enforce a Debian-specific SONAME (0debian1) with debian/rules trickery,
      also track exported symbols.
    - Enhance debian/copyright:
      - refer to BSD-2-clause;
      - mention files under Apache-2.0;
      - mention licensing and copyright holders of debian/.
      - mention licensing and copyright holders of autosetup/.
    - Add myself as Maintainer.

 -- Didier Raboud <odyx@debian.org>  Wed, 19 Oct 2011 17:11:49 +0200

=== debian/control ===
Source: jimtcl
Section: devel
Priority: extra
Maintainer: Didier Raboud <odyx@debian.org>
Build-Depends: debhelper (>= 8.9.0~), autotools-dev, dpkg-dev (>= 1.16.1), asciidoc
Standards-Version: 3.9.2
Homepage: http://jim.berlios.de/
Vcs-Git: git://git.debian.org/collab-maint/jimtcl.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/jimtcl.git

Package: jimsh
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: small-footprint implementation of Tcl named Jim
 Jim is an opensource small-footprint implementation of the Tcl programming
 language. It implements a large subset of Tcl and adds new features like
 references with garbage collection, closures, built-in Object Oriented
 Programming system, Functional Programming commands, first-class arrays and
 UTF-8 support. All this with a binary size of about 100-200kB (depending upon
 selected options).
 .
 This package provides the Jim interactive shell.

Package: libjim0debian1
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: small-footprint implementation of Tcl - shared library
 Jim is an opensource small-footprint implementation of the Tcl programming
 language. It implements a large subset of Tcl and adds new features like
 references with garbage collection, closures, built-in Object Oriented
 Programming system, Functional Programming commands, first-class arrays and
 UTF-8 support. All this with a binary size of about 100-200kB (depending upon
 selected options).
 .
 This package provides the libjim shared library, shipped with a
 Debian-specific SONAME.

Package: libjim-dev
Architecture: any
Section: libdevel
Depends: libjim0debian1 (= ${binary:Version}), ${misc:Depends}
Description: small-footprint implementation of Tcl - development files
 Jim is an opensource small-footprint implementation of the Tcl programming
 language. It implements a large subset of Tcl and adds new features like
 references with garbage collection, closures, built-in Object Oriented
 Programming system, Functional Programming commands, first-class arrays and
 UTF-8 support. All this with a binary size of about 100-200kB (depending upon
 selected options).
 .
 This package provides the libjim development files.

=== debian/rules ===
#!/usr/bin/make -f

# That's needed for DEB_VERSION_UPSTREAM
-include /usr/share/dpkg/pkg-info.mk
# That's needed for DEB_HOST_MULTIARCH
-include /usr/share/dpkg/architecture.mk

# Debian-specific SONAME and VERSION
DEB_SONAME ?= 0debian1
DEB_LIBVER ?= $(DEB_SONAME).$(DEB_VERSION_UPSTREAM)

# Convenience shortcuts
MA_DESTDIR ?= debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
MA_DEV_DESTDIR ?= debian/libjim-dev/usr/lib/$(DEB_HOST_MULTIARCH)
MA_SRCDIR ?= debian/tmp/usr/lib

%:
	dh $@ --list-missing

override_dh_auto_configure:
	dh_auto_configure -- \
				--shared \
				--with-jim-ext=nvp

override_dh_auto_build:
	SH_LDFLAGS="-shared -Wl,-soname,libjim.so.$(DEB_SONAME)" \
		dh_auto_build
	ln -sf libjim.so libjim.so.$(DEB_SONAME)

override_dh_auto_install:
	dh_auto_install
	mkdir -p $(MA_DESTDIR)
	mv $(MA_SRCDIR)/libjim.so $(MA_DESTDIR)/libjim.so.$(DEB_LIBVER)
	ln -sf libjim.so.$(DEB_LIBVER) $(MA_DESTDIR)/libjim.so.$(DEB_SONAME)
	ln -sf libjim.so.$(DEB_SONAME) $(MA_DESTDIR)/libjim.so

override_dh_auto_clean:
	dh_auto_clean
	rm -f libjim.so*
	rm -f tests/exec.tmp1

## jimtcl 0.73

=== debian/changelog ===
jimtcl (0.73-3) unstable; urgency=low

  * Build static flavour and ship it in libjim-dev. (Closes: #677966)
  * Bump Standards-Version to 3.9.3 without changes needed.

 -- Didier Raboud <odyx@debian.org>  Tue, 19 Jun 2012 09:02:28 +0200

jimtcl (0.73-2) unstable; urgency=medium

  * Backport two fixes from upstream's git for bugs affecting usb-modeswitch.
    - [b5fcd96] Space allocated for exec env may be one byte short
    - [695c66c] Fix glob with patterns containing spaces

  * Rise urgency to medium as testing's usb-modeswitch is affected.

 -- Didier Raboud <odyx@debian.org>  Mon, 30 Jan 2012 23:21:34 +0100

jimtcl (0.73-1) unstable; urgency=low

  * New 0.73 upstream release.
    - Delete the nvp extension.

  * Update debian/rules to cope with nvp deletion.

  * Bump SONAME to 0debian2 :
    - Rename libjim0debian1 to libjim0debian2;
    - Remove 23 nvp-related symbols;
    - Add 29 new 0.73 symbols.

 -- Didier Raboud <odyx@debian.org>  Tue, 03 Jan 2012 14:54:03 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Didier Raboud <odyx@debian.org>
 Build-Depends: debhelper (>= 8.9.0~), autotools-dev, dpkg-dev (>= 1.16.1), asciidoc
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://jim.berlios.de/
 Vcs-Git: git://git.debian.org/collab-maint/jimtcl.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/jimtcl.git
@@ -21,7 +21,7 @@
  .
  This package provides the Jim interactive shell.
 
-Package: libjim0debian1
+Package: libjim0debian2
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -41,7 +41,7 @@
 Package: libjim-dev
 Architecture: any
 Section: libdevel
-Depends: libjim0debian1 (= ${binary:Version}), ${misc:Depends}
+Depends: libjim0debian2 (= ${binary:Version}), ${misc:Depends}
 Description: small-footprint implementation of Tcl - development files
  Jim is an opensource small-footprint implementation of the Tcl programming
  language. It implements a large subset of Tcl and adds new features like

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 -include /usr/share/dpkg/architecture.mk
 
 # Debian-specific SONAME and VERSION
-DEB_SONAME ?= 0debian1
+DEB_SONAME ?= 0debian2
 DEB_LIBVER ?= $(DEB_SONAME).$(DEB_VERSION_UPSTREAM)
 
 # Convenience shortcuts
@@ -18,18 +18,25 @@
 	dh $@ --list-missing
 
 override_dh_auto_configure:
-	dh_auto_configure -- \
-				--shared \
-				--with-jim-ext=nvp
+	dh_auto_configure --builddirectory=static/
+	dh_auto_configure -- --shared
 
 override_dh_auto_build:
+	dh_auto_build --builddirectory=static/
 	SH_LDFLAGS="-shared -Wl,-soname,libjim.so.$(DEB_SONAME)" \
 		dh_auto_build
 	ln -sf libjim.so libjim.so.$(DEB_SONAME)
 
+override_dh_auto_test:
+	dh_auto_test --builddirectory=static/
+	dh_auto_test
+
 override_dh_auto_install:
+	mkdir -p $(MA_DESTDIR)
+	# Now install the static version
+	dh_auto_install --builddirectory=static/
+	mv $(MA_SRCDIR)/libjim.a $(MA_DESTDIR)/libjim.a
 	dh_auto_install
-	mkdir -p $(MA_DESTDIR)
 	mv $(MA_SRCDIR)/libjim.so $(MA_DESTDIR)/libjim.so.$(DEB_LIBVER)
 	ln -sf libjim.so.$(DEB_LIBVER) $(MA_DESTDIR)/libjim.so.$(DEB_SONAME)
 	ln -sf libjim.so.$(DEB_SONAME) $(MA_DESTDIR)/libjim.so
@@ -38,3 +45,4 @@
 	dh_auto_clean
 	rm -f libjim.so*
 	rm -f tests/exec.tmp1
+	rm -Rf static/

## jimtcl 0.74

=== tests/Makefile ===
jimsh ?= ../jimsh

test:
	@for i in *.test; do LD_LIBRARY_PATH=..:$(LD_LIBRARY_PATH) $(jimsh) $$i; done

clean:
	rm -f gorp.file2 gorp.file sleepx test1 exec.tmp1

=== debian/changelog ===
jimtcl (0.74-3) unstable; urgency=medium

  * In autosetup, use config.guess and config.sub from autotools-dev
    (Closes: #744441)

 -- Didier Raboud <odyx@debian.org>  Mon, 14 Apr 2014 09:01:33 +0200

jimtcl (0.74-2) unstable; urgency=medium

  * Correct version number in 0.74-1 changelog entry
  * Update debian/copyright for 0.74 (Closes: #738727)
    - Add missing examples/dns.tcl license from src:tcllib
    - Correct wrong apache-2.0 mentions; the files have been re-licensed
      by upstream
    - Update years
    Thanks to Thorsten Alteholz
  * Bump debhelper Build-Depends to 9, drop source lintian override

 -- Didier Raboud <odyx@debian.org>  Wed, 12 Feb 2014 15:48:26 +0100

jimtcl (0.74-1) unstable; urgency=medium

  * New 0.74 upstream release.
    - Space allocated for exec env may be one byte short
    - Fix glob with patterns containing spaces
    - Give libjim.so an soname

  * Update Homepage to cope with BerliOS closing.
  * Append CPPFLAGS to CFLAGS
  * Update Copyright-format Format URL
  * Drop the two backported fixes from upstream
  * Rename libjim0debian2 to libjim0.74 as upstream gave the library a
    soname; also update the symbols' list
  * Rewrite the workarounds to create libjim-dev's .so symlink
  * Bump Standards-Version to 3.9.5 without changes needed

 -- Didier Raboud <odyx@debian.org>  Mon, 10 Feb 2014 14:12:45 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,12 @@
 Section: devel
 Priority: extra
 Maintainer: Didier Raboud <odyx@debian.org>
-Build-Depends: debhelper (>= 8.9.0~), autotools-dev, dpkg-dev (>= 1.16.1), asciidoc
-Standards-Version: 3.9.3
-Homepage: http://jim.berlios.de/
+Build-Depends: debhelper (>= 9),
+ autotools-dev,
+ dpkg-dev (>= 1.16.1),
+ asciidoc
+Standards-Version: 3.9.5
+Homepage: http://jim.tcl.tk/
 Vcs-Git: git://git.debian.org/collab-maint/jimtcl.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/jimtcl.git
 
@@ -21,7 +24,7 @@
  .
  This package provides the Jim interactive shell.
 
-Package: libjim0debian2
+Package: libjim0.74
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -35,13 +38,12 @@
  UTF-8 support. All this with a binary size of about 100-200kB (depending upon
  selected options).
  .
- This package provides the libjim shared library, shipped with a
- Debian-specific SONAME.
+ This package provides the libjim shared library.
 
 Package: libjim-dev
 Architecture: any
 Section: libdevel
-Depends: libjim0debian2 (= ${binary:Version}), ${misc:Depends}
+Depends: libjim0.74 (= ${binary:Version}), ${misc:Depends}
 Description: small-footprint implementation of Tcl - development files
  Jim is an opensource small-footprint implementation of the Tcl programming
  language. It implements a large subset of Tcl and adds new features like

## jimtcl 0.75

=== debian/changelog ===
jimtcl (0.75-1) unstable; urgency=medium

  * New upstream 0.75 release
    - Bump libjim SONAME from 0.74 to 0.75; symbols: +4,-3
    - Update debian/copyright
  * Backport upstream patch to respect $TMPDIR; add Jim_MakeTempFile function
    and symbol

 -- Didier Raboud <odyx@debian.org>  Wed, 06 Aug 2014 16:45:39 +0200

=== debian/control ===
--- 
+++ 
@@ -24,7 +24,7 @@
  .
  This package provides the Jim interactive shell.
 
-Package: libjim0.74
+Package: libjim0.75
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -43,7 +43,7 @@
 Package: libjim-dev
 Architecture: any
 Section: libdevel
-Depends: libjim0.74 (= ${binary:Version}), ${misc:Depends}
+Depends: libjim0.75 (= ${binary:Version}), ${misc:Depends}
 Description: small-footprint implementation of Tcl - development files
  Jim is an opensource small-footprint implementation of the Tcl programming
  language. It implements a large subset of Tcl and adds new features like

=== debian/rules ===
#!/usr/bin/make -f

# That's needed for DEB_VERSION_UPSTREAM
-include /usr/share/dpkg/pkg-info.mk
# That's needed for DEB_HOST_MULTIARCH
-include /usr/share/dpkg/architecture.mk

export DEB_CFLAGS_MAINT_APPEND = $(shell dpkg-buildflags --get CPPFLAGS)

# Convenience shortcuts
MA_DESTDIR ?= debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
MA_DEV_DESTDIR ?= debian/libjim-dev/usr/lib/$(DEB_HOST_MULTIARCH)

%:
	dh $@ --list-missing

override_dh_auto_configure:
	# Backup config.guess and config.sub
	$(cd autosetup; mv config.guess config.guess.bkp; mv config.sub config.sub.bkp)
	# Use autotools-dev's
	cp /usr/share/misc/config.guess /usr/share/misc/config.sub autosetup/.
	dh_auto_configure --builddirectory=static/
	dh_auto_configure -- --shared

override_dh_auto_build:
	dh_auto_build --builddirectory=static/
	dh_auto_build

override_dh_auto_test:
	dh_auto_test --builddirectory=static/
	dh_auto_test

override_dh_auto_install:
	dh_auto_install --builddirectory=static/
	dh_auto_install

override_dh_install:
	dh_install
	set -e; rootdir=`pwd` ;\
	cd ${MA_DESTDIR}; libfile=`ls *.so.*`; cd $${rootdir};\
	cd ${MA_DEV_DESTDIR}; ln -sf $${libfile} libjim.so

override_dh_auto_clean:
	dh_auto_clean
	$(cd autosetup; mv config.guess.bkp config.guess; mv config.sub.bkp config.sub)
	rm -f libjim.so*
	rm -f tests/exec.tmp1
	rm -Rf static/

## jimtcl 0.76

=== tests/Makefile ===
jimsh ?= ../jimsh

test:
	@rc=0; for i in *.test; do LD_LIBRARY_PATH=..:$(LD_LIBRARY_PATH) $(jimsh) $$i || rc=$?; done; exit $$rc

clean:
	rm -f gorp.file2 gorp.file sleepx test1 exec.tmp1

=== debian/changelog ===
jimtcl (0.76-2) unstable; urgency=medium

  * Add patch to make the documentation building reproducible
    (drop the footer containing the timestamp in asciidoc)
  * Add gbp.conf to cope with the new branch layout
  * Bump Standards-Version to 3.9.7 without changes
  * Update source url in debian/copyright

 -- Didier Raboud <odyx@debian.org>  Sat, 27 Feb 2016 17:26:53 +0100

jimtcl (0.76-1) unstable; urgency=low

  * Drop all patches that were upstream backports
  * Bump libjim SONAME from 0.75 to 0.76:
    - Jim_GetScript got renamed to JimGetScript
  * Add patch to the autosetup configure script to accept
    --{enable,disable}-silent-rules
  * Bump Standards-Version to 3.9.6 without changes needed

 -- Didier Raboud <odyx@debian.org>  Tue, 26 May 2015 18:39:20 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  autotools-dev,
  dpkg-dev (>= 1.16.1),
  asciidoc
-Standards-Version: 3.9.5
+Standards-Version: 3.9.7
 Homepage: http://jim.tcl.tk/
 Vcs-Git: git://git.debian.org/collab-maint/jimtcl.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/jimtcl.git
@@ -24,7 +24,7 @@
  .
  This package provides the Jim interactive shell.
 
-Package: libjim0.75
+Package: libjim0.76
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -43,7 +43,7 @@
 Package: libjim-dev
 Architecture: any
 Section: libdevel
-Depends: libjim0.75 (= ${binary:Version}), ${misc:Depends}
+Depends: libjim0.76 (= ${binary:Version}), ${misc:Depends}
 Description: small-footprint implementation of Tcl - development files
  Jim is an opensource small-footprint implementation of the Tcl programming
  language. It implements a large subset of Tcl and adds new features like

## jimtcl 0.77

=== debian/changelog ===
jimtcl (0.77-1) unstable; urgency=medium

  * New upstream version

  * Refresh patches
  * Bump Standards-Version to 4.0.1
  * Bump debhelper compat to 10
  * Bump libjim SONAME from 0.76 to 0.77
  * Enable hardening=+all through DEB_BUILD_MAINT_OPTIONS
  * Add doc-base for the Jim TCL manual

 -- Didier Raboud <odyx@debian.org>  Thu, 10 Aug 2017 11:05:54 -0400

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: devel
 Priority: extra
 Maintainer: Didier Raboud <odyx@debian.org>
-Build-Depends: debhelper (>= 9),
- autotools-dev,
+Build-Depends:
+ debhelper (>= 10.2.5~),
  dpkg-dev (>= 1.16.1),
  asciidoc
-Standards-Version: 3.9.7
+Standards-Version: 4.0.1
 Homepage: http://jim.tcl.tk/
 Vcs-Git: git://git.debian.org/collab-maint/jimtcl.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/jimtcl.git
@@ -24,7 +24,7 @@
  .
  This package provides the Jim interactive shell.
 
-Package: libjim0.76
+Package: libjim0.77
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -43,7 +43,7 @@
 Package: libjim-dev
 Architecture: any
 Section: libdevel
-Depends: libjim0.76 (= ${binary:Version}), ${misc:Depends}
+Depends: libjim0.77 (= ${binary:Version}), ${misc:Depends}
 Description: small-footprint implementation of Tcl - development files
  Jim is an opensource small-footprint implementation of the Tcl programming
  language. It implements a large subset of Tcl and adds new features like

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,7 @@
 -include /usr/share/dpkg/architecture.mk
 
 export DEB_CFLAGS_MAINT_APPEND = $(shell dpkg-buildflags --get CPPFLAGS)
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 # Convenience shortcuts
 MA_DESTDIR ?= debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
@@ -15,10 +16,6 @@
 	dh $@ --list-missing
 
 override_dh_auto_configure:
-	# Backup config.guess and config.sub
-	$(cd autosetup; mv config.guess config.guess.bkp; mv config.sub config.sub.bkp)
-	# Use autotools-dev's
-	cp /usr/share/misc/config.guess /usr/share/misc/config.sub autosetup/.
 	dh_auto_configure --builddirectory=static/
 	dh_auto_configure -- --shared
 
@@ -42,7 +39,6 @@
 
 override_dh_auto_clean:
 	dh_auto_clean
-	$(cd autosetup; mv config.guess.bkp config.guess; mv config.sub.bkp config.sub)
 	rm -f libjim.so*
 	rm -f tests/exec.tmp1
 	rm -Rf static/

## jimtcl 0.77+dfsg0

=== tests/Makefile ===
jimsh ?= ../jimsh
tclsh ?= tclsh

test:
	@LD_LIBRARY_PATH=..:$(LD_LIBRARY_PATH) $(jimsh) runall.tcl

tcl:
	@rc=0; for i in *.test; do LD_LIBRARY_PATH=..:$(LD_LIBRARY_PATH) $(tclsh) -encoding utf-8 $$i || rc=$?; done; exit $$rc

clean:
	rm -f gorp.file2 gorp.file sleepx test1 exec.tmp1

=== debian/changelog ===
jimtcl (0.77+dfsg0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 13:53:36 +0800

jimtcl (0.77+dfsg0-3) unstable; urgency=medium

  * Multi-Arch: mark jimsh as foreign and libjim-dev as same
  * Bump debhelper compat to 11; update autosetup patch to also accept
    --runstatedir option
  * Drop explicit B-D on dpkg-dev

 -- Didier Raboud <odyx@debian.org>  Fri, 30 Mar 2018 10:46:04 +0200

jimtcl (0.77+dfsg0-2) unstable; urgency=medium

  * Cleanup d/control thanks to `cme update dpkg-control`
  * Update Vcs-* for the move to Salsa

 -- Didier Raboud <odyx@debian.org>  Fri, 23 Feb 2018 20:54:12 +0100

jimtcl (0.77+dfsg0-1) unstable; urgency=medium

  * Repack to remove autosetup/jimsh0.c as it is generated from the `N-1`
    version of jimtcl (Closes: #882722)

  * Cope with jimsh0.c removal from source; build it with make-bootstrap-jim
  * Bump S-V to 4.1.1 without changes needed
  * Priority extra is replaced by optional
  * Use the canonical alioth https VCS-* urls
  * Update dh_missing usage and {,not-}installed files
  * Fix gbp.conf typo
  * Drop debian-specific .gitattributes, for dgit

 -- Didier Raboud <odyx@debian.org>  Tue, 28 Nov 2017 16:59:36 +0100

jimtcl (0.77-2) unstable; urgency=medium

  * Initialize git-dpm for patch management
  * Backport two upstream patches to fix ports FTBFS:
    - tests/exec.test: Minor fix for exec-12.1 on hurd (Closes: #873049)
    - tests/timer.test: Remove timer-6.5 (Closes: #873048)

 -- Didier Raboud <odyx@debian.org>  Sun, 27 Aug 2017 17:19:57 +0200

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: jimtcl
+Maintainer: Didier Raboud <odyx@debian.org>
 Section: devel
-Priority: extra
-Maintainer: Didier Raboud <odyx@debian.org>
-Build-Depends:
- debhelper (>= 10.2.5~),
- dpkg-dev (>= 1.16.1),
- asciidoc
-Standards-Version: 4.0.1
+Priority: optional
+Build-Depends: debhelper (>= 11~),
+               asciidoc
+Standards-Version: 4.1.3
+Vcs-Browser: https://salsa.debian.org/debian/jimtcl
+Vcs-Git: https://salsa.debian.org/debian/jimtcl.git
 Homepage: http://jim.tcl.tk/
-Vcs-Git: git://git.debian.org/collab-maint/jimtcl.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/jimtcl.git
 
 Package: jimsh
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Multi-Arch: foreign
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Description: small-footprint implementation of Tcl named Jim
  Jim is an opensource small-footprint implementation of the Tcl programming
  language. It implements a large subset of Tcl and adds new features like
@@ -26,10 +26,11 @@
 
 Package: libjim0.77
 Architecture: any
+Multi-Arch: same
 Section: libs
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
-Multi-Arch: same
 Description: small-footprint implementation of Tcl - shared library
  Jim is an opensource small-footprint implementation of the Tcl programming
  language. It implements a large subset of Tcl and adds new features like
@@ -42,8 +43,10 @@
 
 Package: libjim-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
-Depends: libjim0.77 (= ${binary:Version}), ${misc:Depends}
+Depends: libjim0.77 (= ${binary:Version}),
+         ${misc:Depends}
 Description: small-footprint implementation of Tcl - development files
  Jim is an opensource small-footprint implementation of the Tcl programming
  language. It implements a large subset of Tcl and adds new features like

## jimtcl 0.79%2Bdfsg0

=== examples.ext/Makefile ===
# Note that if cross compiling, build with:
#
#   make NOTEST=1
#
# to avoid trying to load the resulting module.
# Also note that you will need a build-host version of jimsh in the
# PATH in order to build the extension.

# Prefer jimsh in the PATH because it is more likely to be built
# for the build-host rather than the target.

ifdef NOTEST
BUILDOPTS := --notest
endif

export PATH := $(PATH):..

all: helloworld.so

helloworld.so: helloworld.c
	../build-jim-ext -I.. -L.. $(BUILDOPTS) $^

# Note: Currently we don't attempt to set LD_LIBRARY_PATH or equivalent

test:
	JIMLIB=. ../jimsh -e 'package require helloworld; hello'

clean:
	rm -f *.o *.so

=== debian/control ===
Source: jimtcl
Maintainer: Debian QA Group <packages@qa.debian.org>
Section: devel
Priority: optional
Build-Depends:
 asciidoc,
 debhelper-compat (= 13),
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/debian/jimtcl
Vcs-Git: https://salsa.debian.org/debian/jimtcl.git
Homepage: http://jim.tcl.tk/

Package: jimsh
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: small-footprint implementation of Tcl named Jim
 Jim is an opensource small-footprint implementation of the Tcl programming
 language. It implements a large subset of Tcl and adds new features like
 references with garbage collection, closures, built-in Object Oriented
 Programming system, Functional Programming commands, first-class arrays and
 UTF-8 support. All this with a binary size of about 100-200kB (depending upon
 selected options).
 .
 This package provides the Jim interactive shell.

Package: libjim-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libjim0.79 (= ${binary:Version}),
 ${misc:Depends},
Description: small-footprint implementation of Tcl - development files
 Jim is an opensource small-footprint implementation of the Tcl programming
 language. It implements a large subset of Tcl and adds new features like
 references with garbage collection, closures, built-in Object Oriented
 Programming system, Functional Programming commands, first-class arrays and
 UTF-8 support. All this with a binary size of about 100-200kB (depending upon
 selected options).
 .
 This package provides the libjim development files.

Package: libjim0.79
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: small-footprint implementation of Tcl - shared library
 Jim is an opensource small-footprint implementation of the Tcl programming
 language. It implements a large subset of Tcl and adds new features like
 references with garbage collection, closures, built-in Object Oriented
 Programming system, Functional Programming commands, first-class arrays and
 UTF-8 support. All this with a binary size of about 100-200kB (depending upon
 selected options).
 .
 This package provides the libjim shared library.

## jimtcl 0.79+dfsg0

=== debian/control ===
Source: jimtcl
Maintainer: Didier Raboud <odyx@debian.org>
Section: devel
Priority: optional
Build-Depends: debhelper-compat (= 12),
               asciidoc
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/debian/jimtcl
Vcs-Git: https://salsa.debian.org/debian/jimtcl.git
Homepage: http://jim.tcl.tk/

Package: jimsh
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: small-footprint implementation of Tcl named Jim
 Jim is an opensource small-footprint implementation of the Tcl programming
 language. It implements a large subset of Tcl and adds new features like
 references with garbage collection, closures, built-in Object Oriented
 Programming system, Functional Programming commands, first-class arrays and
 UTF-8 support. All this with a binary size of about 100-200kB (depending upon
 selected options).
 .
 This package provides the Jim interactive shell.

Package: libjim0.79
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: small-footprint implementation of Tcl - shared library
 Jim is an opensource small-footprint implementation of the Tcl programming
 language. It implements a large subset of Tcl and adds new features like
 references with garbage collection, closures, built-in Object Oriented
 Programming system, Functional Programming commands, first-class arrays and
 UTF-8 support. All this with a binary size of about 100-200kB (depending upon
 selected options).
 .
 This package provides the libjim shared library.

Package: libjim-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libjim0.79 (= ${binary:Version}),
         ${misc:Depends}
Description: small-footprint implementation of Tcl - development files
 Jim is an opensource small-footprint implementation of the Tcl programming
 language. It implements a large subset of Tcl and adds new features like
 references with garbage collection, closures, built-in Object Oriented
 Programming system, Functional Programming commands, first-class arrays and
 UTF-8 support. All this with a binary size of about 100-200kB (depending upon
 selected options).
 .
 This package provides the libjim development files.

=== debian/rules ===
--- 
+++ 
@@ -13,9 +13,13 @@
 MA_DEV_DESTDIR ?= debian/libjim-dev/usr/lib/$(DEB_HOST_MULTIARCH)
 
 %:
-	dh $@ --list-missing
+	dh $@
 
-override_dh_auto_configure:
+# jimsh0.c is removed from source for DFSG reasons, build it from `make-bootstrap-jim`
+autosetup/jimsh0.c: make-bootstrap-jim
+	./$< > $@
+
+override_dh_auto_configure: autosetup/jimsh0.c
 	dh_auto_configure --builddirectory=static/
 	dh_auto_configure -- --shared
 
@@ -37,8 +41,12 @@
 	cd ${MA_DESTDIR}; libfile=`ls *.so.*`; cd $${rootdir};\
 	cd ${MA_DEV_DESTDIR}; ln -sf $${libfile} libjim.so
 
+override_dh_missing:
+	dh_missing --list-missing
+
 override_dh_auto_clean:
 	dh_auto_clean
+	rm -f autosetup/jimsh0.c
 	rm -f libjim.so*
 	rm -f tests/exec.tmp1
 	rm -Rf static/

## jimtcl 0.81+dfsg0

=== debian/changelog ===
jimtcl (0.81+dfsg0-2) unstable; urgency=medium

  * fix vcs url.
  * upload to unstable

 -- Bo YU <tsu.yubo@gmail.com>  Sat, 28 May 2022 15:35:15 +0800

jimtcl (0.81+dfsg0-1) experimental; urgency=medium

  * Update to new upstream version 0.81
    - Bump libjim SONAME from 0.79 to 0.81
    - Rebase pacthes; drop upstream backports
    - Add debian/watch file

  * Add myself as maintainer (Closes: #993599).

 -- Bo YU <tsu.yubo@gmail.com>  Tue, 22 Mar 2022 10:15:19 +0800

jimtcl (0.79+dfsg0-3) unstable; urgency=medium

  * Orphan package

  * Run wrap-and-sort -baskt
  * S-V: Update to 4.6.0 without changes needed
  * Set upstream metadata fields
  * Add Salsa CI configuration

 -- Didier Raboud <odyx@debian.org>  Fri, 03 Sep 2021 16:22:09 +0200

jimtcl (0.79+dfsg0-2) unstable; urgency=medium

  * Upload to unstable

 -- Didier Raboud <odyx@debian.org>  Mon, 02 Dec 2019 19:45:37 +0100

jimtcl (0.79+dfsg0-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces

  [ Didier Raboud ]
  * Update to new upstream version 0.79
    - Bump libjim SONAME from 0.77 to 0.79
    - Rebase patches; drop upstream backports
    - Re-repack
  * Migrate to git-debrebase
  * Bump Standards-Version to 4.4.1 without changes needed
  * Patch RPATH support out
  * Upload to experimental for the NEW soname

 -- Didier Raboud <odyx@debian.org>  Thu, 21 Nov 2019 10:38:27 +0100

=== debian/control ===
Source: jimtcl
Maintainer: Bo YU <tsu.yubo@gmail.com>
Section: devel
Priority: optional
Build-Depends:
 asciidoc,
 debhelper-compat (= 13),
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/debian/jimtcl
Vcs-Git: https://salsa.debian.org/debian/jimtcl.git
Homepage: http://jim.tcl.tk/

Package: jimsh
Architecture: any
Multi-Arch: foreign
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: small-footprint implementation of Tcl named Jim
 Jim is an opensource small-footprint implementation of the Tcl programming
 language. It implements a large subset of Tcl and adds new features like
 references with garbage collection, closures, built-in Object Oriented
 Programming system, Functional Programming commands, first-class arrays and
 UTF-8 support. All this with a binary size of about 100-200kB (depending upon
 selected options).
 .
 This package provides the Jim interactive shell.

Package: libjim-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends:
 libjim0.81 (= ${binary:Version}),
 ${misc:Depends},
Description: small-footprint implementation of Tcl - development files
 Jim is an opensource small-footprint implementation of the Tcl programming
 language. It implements a large subset of Tcl and adds new features like
 references with garbage collection, closures, built-in Object Oriented
 Programming system, Functional Programming commands, first-class arrays and
 UTF-8 support. All this with a binary size of about 100-200kB (depending upon
 selected options).
 .
 This package provides the libjim development files.

Package: libjim0.81
Architecture: any
Multi-Arch: same
Section: libs
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Description: small-footprint implementation of Tcl - shared library
 Jim is an opensource small-footprint implementation of the Tcl programming
 language. It implements a large subset of Tcl and adds new features like
 references with garbage collection, closures, built-in Object Oriented
 Programming system, Functional Programming commands, first-class arrays and
 UTF-8 support. All this with a binary size of about 100-200kB (depending upon
 selected options).
 .
 This package provides the libjim shared library.

=== debian/rules ===
--- 
+++ 
@@ -18,6 +18,9 @@
 # jimsh0.c is removed from source for DFSG reasons, build it from `make-bootstrap-jim`
 autosetup/jimsh0.c: make-bootstrap-jim
 	./$< > $@
+
+override_dh_autoreconf:
+	# Do not run autoreconf, it is not used
 
 override_dh_auto_configure: autosetup/jimsh0.c
 	dh_auto_configure --builddirectory=static/

## jimtcl 0.82

=== sqlite3/Makefile ===
# Builds the full sqlite3 extension for Jim Tcl with the sqlite3 amalgamation

all: sqlite.so

SQLITE3_OPTS := -DSQLITE_OMIT_LOAD_EXTENSION -DSQLITE_THREADSAFE=0 \
	-DSQLITE_ENABLE_LOCKING_STYLE=0 -DSQLITE_OMIT_INCRBLOB -DSQLITE_OMIT_SHARED_CACHE

sqlite.so: jim-sqlite.c sqlite3.c
	./build-ext -Wall -o $@ -I.. -L.. $(SQLITE3_OPTS) $(BUILDOPTS) $^

clean:
	rm -f *.o *.so

# Note that this will only work when not cross compiling
test: sqlite.so
	../jimsh test-sqlite.tcl

=== debian/changelog ===
jimtcl (0.82-4) unstable; urgency=medium

  * upload to unstable 

 -- Bo YU <tsu.yubo@gmail.com>  Mon, 04 Sep 2023 15:57:50 +0800

jimtcl (0.82-3) experimental; urgency=medium

  * increase time to fix test caes failed
  * Set _FILE_OFFSET_BITS=64 to fix ftbfs issues on some 32 
    bit systems

 -- Bo YU <tsu.yubo@gmail.com>  Wed, 23 Aug 2023 23:48:32 +0800

jimtcl (0.82-2) experimental; urgency=medium

  * fix ftbfs on 32 bit systems.

 -- Bo YU <tsu.yubo@gmail.com>  Tue, 04 Jul 2023 21:08:43 +0800

jimtcl (0.82-1) experimental; urgency=medium

  * New upstream release.
  * set --full default build options from upstream.(Closes: #1016657)
  * update symbols file
  * add libssl-dev,pkg-config on B-D
  * disable network access test from ssl.test

 -- Bo YU <tsu.yubo@gmail.com>  Sun, 28 May 2023 21:22:40 +0800

=== debian/control ===
--- 
+++ 
@@ -5,6 +5,8 @@
 Build-Depends:
  asciidoc,
  debhelper-compat (= 13),
+ libssl-dev,
+ pkg-config,
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian/jimtcl
 Vcs-Git: https://salsa.debian.org/debian/jimtcl.git
@@ -31,7 +33,7 @@
 Multi-Arch: same
 Section: libdevel
 Depends:
- libjim0.81 (= ${binary:Version}),
+ libjim0.82 (= ${binary:Version}),
  ${misc:Depends},
 Description: small-footprint implementation of Tcl - development files
  Jim is an opensource small-footprint implementation of the Tcl programming
@@ -43,7 +45,7 @@
  .
  This package provides the libjim development files.
 
-Package: libjim0.81
+Package: libjim0.82
 Architecture: any
 Multi-Arch: same
 Section: libs

=== debian/rules ===
--- 
+++ 
@@ -23,20 +23,22 @@
 	# Do not run autoreconf, it is not used
 
 override_dh_auto_configure: autosetup/jimsh0.c
-	dh_auto_configure --builddirectory=static/
-	dh_auto_configure -- --shared
+	dh_auto_configure --builddirectory=static/ --
+	dh_auto_configure --builddirectory=shared/ -- --shared
 
 override_dh_auto_build:
 	dh_auto_build --builddirectory=static/
-	dh_auto_build
+	dh_auto_build --builddirectory=shared/
 
 override_dh_auto_test:
 	dh_auto_test --builddirectory=static/
-	dh_auto_test
+	dh_auto_test --builddirectory=shared/
+
 
 override_dh_auto_install:
 	dh_auto_install --builddirectory=static/
-	dh_auto_install
+	dh_auto_install --builddirectory=shared/
+
 
 override_dh_install:
 	dh_install
@@ -53,3 +55,4 @@
 	rm -f libjim.so*
 	rm -f tests/exec.tmp1
 	rm -Rf static/
+	rm -Rf shared/

## jimtcl 0.83

=== debian/changelog ===
jimtcl (0.83-2) unstable; urgency=medium

  * Upload to unstable.

 -- Bo YU <tsu.yubo@gmail.com>  Sat, 05 Oct 2024 08:10:24 +0800

jimtcl (0.83-1) experimental; urgency=medium

  * New upstream version 0.83
  * Refresh debian/patches/*
  * Delete patches which upstream merged:
    0001-build-define-_GNU_SOURCE-only-on-the-command-line.patch
    increase-test-time-tests.patch
    debian/patches/use-64-bits-stat-on-32-bits-systemd.patch
  * Add myself to debian/copyright
  * Rename libraries with non-t64

 -- Bo YU <tsu.yubo@gmail.com>  Tue, 24 Sep 2024 10:16:01 +0800

jimtcl (0.82-6) unstable; urgency=medium

  * flag test on ppc64el as flaky

 -- Bo YU <tsu.yubo@gmail.com>  Mon, 24 Jun 2024 23:00:31 +0800

jimtcl (0.82-5) unstable; urgency=medium

  * Ack previous NMU upload.
  * Add extend-diff-ignore to debian/source/options to fix
    twice build issue. (Closes: #1048294)
  * Drop whitespace of d/changelog
  * Update d/libjim-dev.install
  * Update debian/watch and debian/copyright
  * Set std-ver to 4.7.0
  * Add Rules-Requires-Root: no to d/control
  * Add Build-Depends-Package to debian/*.symbols

 -- Bo YU <tsu.yubo@gmail.com>  Wed, 19 Jun 2024 22:42:34 +0800

jimtcl (0.82-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062472

 -- Lukas Märdian <slyon@debian.org>  Wed, 28 Feb 2024 13:28:19 +0000

=== debian/control ===
--- 
+++ 
@@ -2,15 +2,16 @@
 Maintainer: Bo YU <tsu.yubo@gmail.com>
 Section: devel
 Priority: optional
-Build-Depends:
+Build-Depends: dpkg-dev (>= 1.22.5),
  asciidoc,
  debhelper-compat (= 13),
  libssl-dev,
- pkg-config,
-Standards-Version: 4.6.0
+ pkgconf,
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian/jimtcl
 Vcs-Git: https://salsa.debian.org/debian/jimtcl.git
 Homepage: http://jim.tcl.tk/
+Rules-Requires-Root: no
 
 Package: jimsh
 Architecture: any
@@ -33,7 +34,7 @@
 Multi-Arch: same
 Section: libdevel
 Depends:
- libjim0.82 (= ${binary:Version}),
+ libjim0.83 (= ${binary:Version}),
  ${misc:Depends},
 Description: small-footprint implementation of Tcl - development files
  Jim is an opensource small-footprint implementation of the Tcl programming
@@ -45,7 +46,7 @@
  .
  This package provides the libjim development files.
 
-Package: libjim0.82
+Package: libjim0.83
 Architecture: any
 Multi-Arch: same
 Section: libs

=== debian/rules ===
--- 
+++ 
@@ -31,9 +31,14 @@
 	dh_auto_build --builddirectory=shared/
 
 override_dh_auto_test:
+ifeq ($(DEB_HOST_ARCH), ppc64el)
+	@echo "test on ppc64el are flaky"
+	dh_auto_test --builddirectory=static/ || true
+	dh_auto_test --builddirectory=shared/ || true
+else
 	dh_auto_test --builddirectory=static/
 	dh_auto_test --builddirectory=shared/
-
+endif	
 
 override_dh_auto_install:
 	dh_auto_install --builddirectory=static/

=== debian/watch ===
version=4
https://github.com/msteveb/jimtcl/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
